:root {
    /* Colors: */
    --itm-background-colour: #EFF1F9;
    --text-colour: #000000;
    --primary-header-and-buttons-: #2780e3;
    --background-color: #FFFAFB;
    --header-height: 3.25rem;
}

/* --------------------- Desktops --------------------- */
html, body {
    height: 100%;
    background-color: var(--background-color);
    line-height: unset !important;
}

html {
    font-size: 2vh;
}

.main {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

header {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 1rem 3rem;
    background: var(--primary-header-and-buttons-) 0 0 no-repeat padding-box;
    position: relative;
    height: var(--header-height);
}

.card {
    height: 34rem;
    width: 100%;
    max-width: 40rem;
    margin: 0 2em;
}

.card-body {
    padding: 2rem 3.25rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.quiz-information {
    line-height: 2;
}

.logged-user {
    text-align: left;
    font-size: 1.25rem;
    color: var(--text-colour);
    letter-spacing: 0;
}

.user-name {
    color: var(--background-color);
}

.popover {
    top: 3rem;
    left: auto !important;
    right: 3rem;
    font-size: 1rem;
    border-radius: 3px !important;
    max-width: none;
}

.user-action {
    cursor: pointer;
}

.footer {
    position: relative;
    height: auto;
}

.footer-bottom {
    width: 100%;
    display: flex;
    padding: 0.5em 3rem;
    border-top: 1px solid #00000021;
    font-size: 1.125rem;
    letter-spacing: 0;
}

.copyright {
    display: flex;
    margin: auto 1em auto 0;
    color: var(--text-colour);
    font-size: 0.875rem;
}

.icon {
    width: 1rem;
}

.social-media-icons {
    width: 1.5rem;
}

.column {
    margin: 0 10px;
}

.emblem {
    width: 15rem;
    padding: 0.5em;
}

.logos {
    background: var(--itm-background-colour) 0 0% no-repeat padding-box;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 0 3rem;
}

.logos > p {
    margin: 0 0 0 1em;
    color: var(--text-colour);
    text-align: left;
    font-size: 1rem;
    letter-spacing: 0;
}

.btn {
    background: var(--primary-header-and-buttons-) 0 0% no-repeat padding-box;
    color: var(--background-color);
    border-radius: 2px;
    font-size: 1.25rem;
    max-width: 33em;
    width: 100%;
    padding: 0.5em;
}

.btn:hover {
    color: var(--background-color);
}

.modal {
    top: 30%;
}

.isDisabled {
    cursor: not-allowed !important;
    opacity: 0.5;
    text-decoration: none;
}

.center {
    display: flex;
    justify-content: center;
}

.fortech {
    height: 1.125rem;
    margin: 2em 0;
}

.power {
    display: flex;
    margin: auto 1em;
    font-size: 1rem;
}

.socialMedia {
    font-size: 0.875rem;
}

.banner-row {
    display: contents;
}

.disabled-btn {
    background-color: #858585 !important;
    border-color: #858585 !important;
    cursor: not-allowed !important;
    opacity: 0.65;
}

.disabled-btn:hover {
    background-color: #858585 !important;
    border-color: #858585 !important;
}

.disabled-modal-decline-btn {
    color: #858585 !important;
    border-color: #858585 !important;
}

.disabled-modal-decline-btn:hover {
    color: #858585 !important;
    border-color: #858585 !important;
}

.quiz-image {
    height: 12rem;
}

.information {
    line-height: 1.5;
}

.shortLogo {
    display: none;
}

.shortLogoBanner {
    display: none !important;
}

/* --------------------- Laptops --------------------- */
@media screen and (max-width: 1200px) {
    .footer-bottom {
        font-size: 1rem;
        padding: 0.75em 5em;
    }

    .logos {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        justify-content: space-evenly;
    }

    .emblem {
        width: 10rem;
    }

    .banner-row {
        display: block;
    }

    .logos {
        padding: 0;
    }
}

/* --------------------- Tablets - Portrait --------------------- */
@media screen and (max-width: 992px) and (orientation: portrait) {
    .logged-user {
        font-size: 1rem;
    }
}

/* --------------------- Tablets - Landscape --------------------- */
@media screen and (min-width: 992px) and (orientation: landscape) {

}

/* --------------------- Small Tablets - Portrait --------------------- */
@media screen and (max-width: 767px) and (orientation: portrait) {

}

/* --------------------- Small Tablets - Landscape --------------------- */
@media screen and (min-width: 767px) and (orientation: landscape) {

}

/* --------------------- Phones - Portrait --------------------- */
@media screen and (max-width: 479px) and (orientation: portrait) {
    .body {
        position: absolute;
        top: var(--header-height);
        bottom: 0;
        left: 0;
        right: 0;
        pointer-events: none;
    }

    .card-body {
        padding: 1rem 1.5rem !important;
    }

    .card {
        pointer-events: auto;
    }

    .logged-user {
        font-size: 0.75rem;
    }

    header {
        padding: 1em;
    }

    .logos > p {
        font-size: 1rem;
    }

    .contact {
        padding: 1em;
    }

    .popover {
        top: 2.5rem;
        right: 2rem;
        font-size: 0.75rem;
    }

    .emblem {
        display: flex;
    }

    .banner-row {
        display: contents;
    }

    .emblem {
        margin: 0 100%;
        width: 11rem;
    }

    .banner {
        position: absolute;
        bottom: 0;
        transform: translate(0, 100%);
    }

    .quiz-image {
        height: 7rem;
    }

    .shortLogo {
        display: inline-block;
        margin: 0;
        width: 6rem;
    }

    .longLogo {
        display: none;
    }

    .shortLogoBanner{
        display: flex !important;
    }
}

/* --------------------- Phones - Landscape --------------------- */
@media screen and (max-height: 479px) and (orientation: landscape) {
    .body {
        position: absolute;
        top: var(--header-height);
        bottom: 0;
        left: 0;
        right: 0;
        pointer-events: none;
    }

    .banner {
        position: absolute;
        bottom: 0;
        transform: translate(0, 100%);
        width: 100%;
    }

    .card {
        pointer-events: auto;
    }
}
